#!/bin/bash

plugin='cxs-scan'
pluginPath='/usr/local/cpanel/base/frontend/'
themeA='paper_lantern'
themeB='jupiter'
cronJob='cxsScan'

if [ -d "$pluginPath""$themeA"/"$plugin" ]; then
    # Uninstall the plugin
    /usr/local/cpanel/scripts/uninstall_plugin "$pluginPath""$themeA"/"$plugin" --theme="$themeA"
    
    # Remove the plugin directory
    rm -rf "$pluginPath""$themeA"/"$plugin"
    
    # Revoke the API token
    whmapi1 api_token_revoke token_name="$plugin"_"$themeA"
fi

if [ -d "$pluginPath""$themeB"/"$plugin" ]; then
    # Uninstall the plugin
    /usr/local/cpanel/scripts/uninstall_plugin "$pluginPath""$themeB"/"$plugin" --theme="$themeB"
    
    # Remove the plugin directory
    rm -rf "$pluginPath""$themeB"/"$plugin"
    
    # Revoke the API token
    whmapi1 api_token_revoke token_name="$plugin"_"$themeB"
fi

if [ -f /etc/cron.d/"$cronJob".cron ]; then
    # Remove the cron job
    rm -f /etc/cron.d/"$cronJob".cron
fi
